Skip to main content
`Ctrl`+`K`

# TaoGetMaximumIterations

Gets a maximum number of iterates that will be used

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetMaximumIterations(Tao tao, PetscInt *maxits)

Not Collective

## Input Parameter

- tao - the `Tao` solver context

## Output Parameter

- maxits - the maximum number of iterates

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetMaximumIterations()`, `TaoGetMaximumFunctionEvaluations()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages